/// <reference types="jquery" />
export interface IWindowService {
    resize(callback: {
        (event: JQueryEventObject): any;
    }): void;
    scrollTop(): number;
    scroll(handler: IScrollHandler): void;
    height(): number;
}
export interface IScrollHandler {
    (event: JQueryEventObject): any;
}
export declare class WindowService {
    private windowControl;
    constructor();
    resize(callback: {
        (event: JQueryEventObject): any;
    }): void;
    scrollTop(): number;
    scroll(handler: IScrollHandler): void;
    height(): number;
}
